import { BaseComponent } from '../base-component';
import { AccountInfo, MenuItem, MenuItemLink, MenuItemSubMenu } from './nx-menu.types';
import * as i0 from "@angular/core";
export declare class NxMenuComponent extends BaseComponent {
    readonly homeButton: MenuItemLink;
    private readonly activeMatchOptions;
    private eleRef;
    private router;
    closeMenuOnClientAway(element: MouseEvent): void;
    accountInfo: import("@angular/core").InputSignal<AccountInfo | undefined>;
    showHomeButton: import("@angular/core").InputSignal<boolean>;
    dynamicMenu: import("@angular/core").InputSignal<MenuItem[]>;
    fixedMenu: import("@angular/core").InputSignal<MenuItem[]>;
    activeNode: import("@angular/core").ModelSignal<MenuItem | undefined>;
    activeUrl: import("@angular/core").Signal<string>;
    activeL2: import("@angular/core").Signal<MenuItem | undefined>;
    activeL2HasSubMenu: import("@angular/core").Signal<boolean | undefined>;
    castMenuItemLink(item: MenuItem): MenuItemLink;
    castMenuItemSubMenu(item: MenuItem): MenuItemSubMenu;
    itemHasLink(item: MenuItem): boolean;
    togglePopupMenu(ref?: MenuItem | undefined): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NxMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NxMenuComponent, "nx-menu", never, { "accountInfo": { "alias": "accountInfo"; "required": false; "isSignal": true; }; "showHomeButton": { "alias": "showHomeButton"; "required": false; "isSignal": true; }; "dynamicMenu": { "alias": "dynamicMenu"; "required": false; "isSignal": true; }; "fixedMenu": { "alias": "fixedMenu"; "required": false; "isSignal": true; }; "activeNode": { "alias": "activeNode"; "required": false; "isSignal": true; }; }, { "activeNode": "activeNodeChange"; }, never, ["*"], true, never>;
}
